cURL
curl --request GET \ --url https://api.cal.com/v2/schedules/{scheduleId} \ --header 'Authorization: <authorization>' \ --header 'cal-api-version: <cal-api-version>'
{ "status": "success", "data": { "id": 254, "ownerId": 478, "name": "Catch up hours", "timeZone": "Europe/Rome", "availability": [ { "days": [ "Monday", "Tuesday" ], "startTime": "17:00", "endTime": "19:00" }, { "days": [ "Wednesday", "Thursday" ], "startTime": "16:00", "endTime": "20:00" } ], "isDefault": true, "overrides": [ { "date": "2024-05-20", "startTime": "18:00", "endTime": "21:00" } ] } }
value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token
Bearer <token>
<token>
Must be set to 2024-06-11. If not set to this value, the endpoint will default to an older version.
success
error
"success"
Show child attributes
Was this page helpful?